
import resolve from "rollup-plugin-node-resolve"

export default [
    {
        input: 'web/javascripts/index.js',
        output: {
            file: 'web/javascripts/index-bundle.js',
            format: 'iife',
            sourcemap: true
        },
        plugins: [resolve()],
        onwarn(warning, warn) {
            const ignoreCodes = ['EVAL', 'CIRCULAR_DEPENDENCY']
            if (ignoreCodes.some(code => code == warning.code)) return
            warn(warning)
        }
    }
]
