
import { NodeWrapper } from './node_wrapper'

let ready = false;

function initializeTree(node){
    NodeWrapper.instanceFor(node).descendants
}

const observer = new MutationObserver(mutations => {
    if(ready){
        mutations.forEach(
            mutation => mutation.addedNodes.forEach(
                node => initializeTree(node)
            )
        )
    }
})

observer.observe(document.documentElement, {
    attributes: false,
    childList: true,
    subtree: true
});

setTimeout(() => {
    ready = true
    initializeTree(document)
}, 0)
